Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Interface ResourceConnector

All Known Implementing Classes:
  AbstractHttpServlet, GroovyScriptEngine, GroovyServlet, TemplateServlet

    public interface ResourceConnector

Base interface for customizing where resources can be found for the `GroovyScriptEngine`.

Author:
  sam

Method Summary
`URLConnection` | `getResourceConnection(String name)` Retrieve a URLConnection to a script referenced by name.

Method Detail

### getResourceConnection

    URLConnection getResourceConnection(String name)
                                        throws ResourceException

  Retrieve a URLConnection to a script referenced by name.

  Parameters:
    `name` -
  Throws:
    `ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD